--- cfengine.orig/Makefile	2008-08-20 23:18:24.000000000 -0700
+++ cfengine/Makefile	2009-02-02 14:31:20.000000000 -0800
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	cfengine
-PORTVERSION=	2.2.8
+PORTVERSION=	2.2.9
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.cfengine.org/downloads/
 
@@ -27,7 +27,7 @@
 		BERKELEY_DB_LDFLAGS=-L${BDB_LIB_DIR} \
 		BERKELEY_DB_LIB=-l${BDB_LIB_NAME}
 .if !defined(NOPORTDOCS)
-INFO=		cfengine-Tutorial cfengine-Reference
+INFO=		cfengine-Tutorial cfengine-Reference cfengine-Anomalies
 .endif
 
 MAN8=		cfagent.8 cfengine.8 cfenvd.8 cfenvgraph.8 cfetoolcheck.8 \
--- cfengine.orig/distinfo	2008-08-13 14:41:14.000000000 -0700
+++ cfengine/distinfo	2009-02-02 13:31:57.000000000 -0800
@@ -1,3 +1,3 @@
-MD5 (cfengine-2.2.8.tar.gz) = 8881c3c350f36b35845cdb1e6e53b8a1
-SHA256 (cfengine-2.2.8.tar.gz) = 6423ad330057b28524bf4a91b064d459af2be01d5cddb5064c15d8cb1130e7b8
-SIZE (cfengine-2.2.8.tar.gz) = 2715678
+MD5 (cfengine-2.2.9.tar.gz) = ce115587078a7a8345dca52891f95513
+SHA256 (cfengine-2.2.9.tar.gz) = 98489dd49a15c4e6f2065435d415a4a5d0b79d67b10478eeb0a0de579a6bade2
+SIZE (cfengine-2.2.9.tar.gz) = 2933246
--- cfengine.orig/files/patch-doc_Makefile.in	2008-08-13 14:41:14.000000000 -0700
+++ cfengine/files/patch-doc_Makefile.in	2009-02-02 14:27:58.000000000 -0800
@@ -1,15 +1,15 @@
---- doc/Makefile.in.orig	2008-08-04 21:55:47.000000000 +0400
-+++ doc/Makefile.in	2008-08-08 02:18:39.000000000 +0400
-@@ -214,7 +214,7 @@
+--- doc/Makefile.in.orig	2008-12-24 06:42:47.000000000 -0800
++++ doc/Makefile.in	2009-02-02 14:27:17.000000000 -0800
+@@ -220,7 +220,7 @@
  man_MANS = cfengine.8 cfagent.8  cfenvd.8  cfenvgraph.8  cfexecd.8  cfkey.8  cfrun.8  cfservd.8 cfshow.8 cfetoolcheck.8   cfetooldump.8   cfetoolimport.8  cfetoolupdate.8 cfetoolcreate.8  cfetoolgraph.8  cfetoolinfo.8 
  
  # Info used in building the Info files
--info_TEXINFOS = cfengine-Reference.texinfo cfengine-Tutorial.texinfo # cfengine-Anomalies.texinfo
+-info_TEXINFOS = cfengine-Reference.texinfo cfengine-Tutorial.texinfo cfengine-Anomalies.texinfo
 +info_TEXINFOS =
  infofiles = $(info_TEXINFOS:.texinfo=.info)
- MAKEINFOHTML = $(MAKEINFO) --html --css-include=cfcomdoc.css --no-split
+ MAKEINFOHTML = $(MAKEINFO) --html --no-split --css-include=cfcomdoc.css 
  
-@@ -476,6 +476,7 @@
+@@ -543,6 +543,7 @@
  	done
  
  dist-info: $(INFO_DEPS)
@@ -17,7 +17,7 @@
  	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  	list='$(INFO_DEPS)'; \
  	for base in $$list; do \
-@@ -492,6 +493,7 @@
+@@ -559,6 +560,7 @@
  	    else :; fi; \
  	  done; \
  	done
@@ -25,7 +25,7 @@
  
  mostlyclean-aminfo:
  	-rm -rf cfengine-Reference.aux cfengine-Reference.cp cfengine-Reference.cps \
-@@ -570,6 +572,7 @@
+@@ -648,6 +650,7 @@
  	done
  install-docDATA: $(doc_DATA)
  	@$(NORMAL_INSTALL)
@@ -33,7 +33,7 @@
  	test -z "$(docdir)" || $(MKDIR_P) "$(DESTDIR)$(docdir)"
  	@list='$(doc_DATA)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-@@ -577,6 +580,7 @@
+@@ -655,6 +658,7 @@
  	  echo " $(docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(docdir)/$$f'"; \
  	  $(docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
  	done
@@ -41,7 +41,7 @@
  
  uninstall-docDATA:
  	@$(NORMAL_UNINSTALL)
-@@ -587,6 +591,7 @@
+@@ -665,6 +669,7 @@
  	done
  install-htmlDATA: $(html_DATA)
  	@$(NORMAL_INSTALL)
@@ -49,7 +49,7 @@
  	test -z "$(htmldir)" || $(MKDIR_P) "$(DESTDIR)$(htmldir)"
  	@list='$(html_DATA)'; for p in $$list; do \
  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-@@ -594,6 +599,7 @@
+@@ -672,6 +677,7 @@
  	  echo " $(htmlDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(htmldir)/$$f'"; \
  	  $(htmlDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(htmldir)/$$f"; \
  	done
@@ -57,7 +57,7 @@
  
  uninstall-htmlDATA:
  	@$(NORMAL_UNINSTALL)
-@@ -730,6 +736,7 @@
+@@ -808,6 +814,7 @@
  install-info: install-info-am
  
  install-info-am: $(INFO_DEPS)
@@ -65,7 +65,7 @@
  	@$(NORMAL_INSTALL)
  	test -z "$(infodir)" || $(MKDIR_P) "$(DESTDIR)$(infodir)"
  	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-@@ -759,6 +766,7 @@
+@@ -837,6 +844,7 @@
  	    install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
  	  done; \
  	else : ; fi