Index: astro/gpscorrelate/Makefile
===================================================================
RCS file: /home/pcvs/ports/astro/gpscorrelate/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- astro/gpscorrelate/Makefile	6 Jun 2008 13:02:56 -0000	1.2
+++ astro/gpscorrelate/Makefile	5 Feb 2009 15:46:28 -0000
@@ -6,7 +6,7 @@
 
 PORTNAME=	gpscorrelate
 PORTVERSION=	1.5.6
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	astro geography
 MASTER_SITES=	http://freefoote.dview.net/linux/
 
Index: astro/merkaartor/Makefile
===================================================================
RCS file: /home/pcvs/ports/astro/merkaartor/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- astro/merkaartor/Makefile	28 Jan 2009 02:35:52 -0000	1.2
+++ astro/merkaartor/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	merkaartor
 PORTVERSION=	0.12
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	astro
 MASTER_SITES=	http://www.merkaartor.org/downloads/source/
 
Index: deskutils/strigi/Makefile
===================================================================
RCS file: /home/pcvs/ports/deskutils/strigi/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- deskutils/strigi/Makefile	13 Jan 2009 23:16:22 -0000	1.2
+++ deskutils/strigi/Makefile	5 Feb 2009 15:46:28 -0000
@@ -6,7 +6,7 @@
 
 PORTNAME=	strigi
 PORTVERSION=	0.5.11
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	deskutils
 MASTER_SITES=	http://www.vandenoever.info/software/strigi/
 
Index: graphics/digikam/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/digikam/Makefile,v
retrieving revision 1.46
diff -u -r1.46 Makefile
--- graphics/digikam/Makefile	17 Dec 2008 07:35:12 -0000	1.46
+++ graphics/digikam/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	digikam
 DISTVERSION=	0.9.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	graphics kde
 MASTER_SITES=	SFE
 
Index: graphics/exiv2/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/exiv2/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- graphics/exiv2/Makefile	25 Jul 2008 14:34:25 -0000	1.25
+++ graphics/exiv2/Makefile	5 Feb 2009 15:46:28 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	exiv2
-PORTVERSION=	0.16
-PORTREVISION=	1
+PORTVERSION=	0.18
 PORTEPOCH=	1
 CATEGORIES=	graphics
 MASTER_SITES=	http://www.exiv2.org/
Index: graphics/exiv2/distinfo
===================================================================
RCS file: /home/pcvs/ports/graphics/exiv2/distinfo,v
retrieving revision 1.15
diff -u -r1.15 distinfo
--- graphics/exiv2/distinfo	7 Mar 2008 19:35:58 -0000	1.15
+++ graphics/exiv2/distinfo	5 Feb 2009 15:46:28 -0000
@@ -1,3 +1,3 @@
-MD5 (exiv2-0.16.tar.gz) = a6e72343885d990c593bd013c6c988f1
-SHA256 (exiv2-0.16.tar.gz) = d407bd0f9b06d68940ae1a73b226ca234cd9a19ea65eab108746b69ac7ce0afb
-SIZE (exiv2-0.16.tar.gz) = 1591822
+MD5 (exiv2-0.18.tar.gz) = 03044792525ae0a1b109df5a53b858fb
+SHA256 (exiv2-0.18.tar.gz) = e567918c747043588a58b8f6de49727443f275291119edd84b1c62cc685be4cd
+SIZE (exiv2-0.18.tar.gz) = 2299215
Index: graphics/exiv2/pkg-plist
===================================================================
RCS file: /home/pcvs/ports/graphics/exiv2/pkg-plist,v
retrieving revision 1.12
diff -u -r1.12 pkg-plist
--- graphics/exiv2/pkg-plist	7 Mar 2008 19:35:59 -0000	1.12
+++ graphics/exiv2/pkg-plist	5 Feb 2009 15:46:28 -0000
@@ -1,6 +1,8 @@
 bin/exiv2
 include/exiv2/basicio.hpp
+include/exiv2/bmpimage.hpp
 include/exiv2/canonmn.hpp
+include/exiv2/convert.hpp
 include/exiv2/cr2image.hpp
 include/exiv2/crwimage.hpp
 include/exiv2/datasets.hpp
@@ -10,12 +12,11 @@
 include/exiv2/exv_msvc.h
 include/exiv2/fujimn.hpp
 include/exiv2/futils.hpp
-include/exiv2/ifd.hpp
+include/exiv2/gifimage.hpp
 include/exiv2/image.hpp
 include/exiv2/iptc.hpp
+include/exiv2/jp2image.hpp
 include/exiv2/jpgimage.hpp
-include/exiv2/makernote.hpp
-include/exiv2/makernote2.hpp
 include/exiv2/metadatum.hpp
 include/exiv2/minoltamn.hpp
 include/exiv2/mn.hpp
@@ -25,27 +26,26 @@
 include/exiv2/orfimage.hpp
 include/exiv2/panasonicmn.hpp
 include/exiv2/pentaxmn.hpp
-include/exiv2/pngchunk.hpp
 include/exiv2/pngimage.hpp
+include/exiv2/preview.hpp
 include/exiv2/properties.hpp
+include/exiv2/psdimage.hpp
 include/exiv2/rafimage.hpp
 include/exiv2/rcsid.hpp
 include/exiv2/sigmamn.hpp
 include/exiv2/sonymn.hpp
 include/exiv2/tags.hpp
-include/exiv2/tiffcomposite.hpp
-include/exiv2/tifffwd.hpp
+include/exiv2/tgaimage.hpp
 include/exiv2/tiffimage.hpp
-include/exiv2/tiffparser.hpp
-include/exiv2/tiffvisitor.hpp
 include/exiv2/types.hpp
 include/exiv2/value.hpp
 include/exiv2/version.hpp
 include/exiv2/xmp.hpp
+include/exiv2/xmpsidecar.hpp
 lib/libexiv2.a
 lib/libexiv2.la
 lib/libexiv2.so
-lib/libexiv2.so.3
+lib/libexiv2.so.7
 libdata/pkgconfig/exiv2.pc
 share/locale/de/LC_MESSAGES/exiv2.mo
 share/locale/es/LC_MESSAGES/exiv2.mo
@@ -53,4 +53,5 @@
 share/locale/fr/LC_MESSAGES/exiv2.mo
 share/locale/pl/LC_MESSAGES/exiv2.mo
 share/locale/ru/LC_MESSAGES/exiv2.mo
+share/locale/sk/LC_MESSAGES/exiv2.mo
 @dirrm include/exiv2
Index: graphics/geeqie/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/geeqie/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- graphics/geeqie/Makefile	26 Jun 2008 11:01:21 -0000	1.1
+++ graphics/geeqie/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	geeqie
-DISTVERSION=	1.0alpha1
+DISTVERSION=	1.0alpha3
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
@@ -34,7 +34,7 @@
 .include <bsd.port.pre.mk>
 
 .if defined(WITH_EXIV2)
-LIB_DEPENDS+=	exiv2.3:${PORTSDIR}/graphics/exiv2
+LIB_DEPENDS+=	exiv2.7:${PORTSDIR}/graphics/exiv2
 CONFIGURE_ARGS+=--with-exiv2
 .else
 CONFIGURE_ARGS+=--without-exiv2
Index: graphics/geeqie/distinfo
===================================================================
RCS file: /home/pcvs/ports/graphics/geeqie/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- graphics/geeqie/distinfo	26 Jun 2008 11:01:21 -0000	1.1
+++ graphics/geeqie/distinfo	5 Feb 2009 15:46:28 -0000
@@ -1,3 +1,3 @@
-MD5 (geeqie-1.0alpha1.tar.gz) = 8e4838018b597cb6df056959ccf1ba45
-SHA256 (geeqie-1.0alpha1.tar.gz) = 7df5b644e572ec0f8a489c31ccf01789d602c788cffa33bca5ecd236020ad199
-SIZE (geeqie-1.0alpha1.tar.gz) = 1970338
+MD5 (geeqie-1.0alpha3.tar.gz) = 0f0c3991ee4ef9232e21ed49fa879b83
+SHA256 (geeqie-1.0alpha3.tar.gz) = 98073322e9db72ede5c374eb3213a981fecf60542f0e610436b4fd9c01b9b464
+SIZE (geeqie-1.0alpha3.tar.gz) = 2067890
Index: graphics/gwenview/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/gwenview/Makefile,v
retrieving revision 1.30
diff -u -r1.30 Makefile
--- graphics/gwenview/Makefile	6 Jun 2008 13:34:33 -0000	1.30
+++ graphics/gwenview/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	gwenview
 PORTVERSION=	1.4.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	graphics kde
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -16,7 +16,7 @@
 COMMENT=	An image viewer and browser for the KDE environment
 
 LIB_DEPENDS=	kipi.2:${PORTSDIR}/graphics/libkipi \
-		exiv2.3:${PORTSDIR}/graphics/exiv2
+		exiv2.7:${PORTSDIR}/graphics/exiv2
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
Index: graphics/gwenview/files/patch-src_imageutils_jpegcontent.cpp
===================================================================
RCS file: graphics/gwenview/files/patch-src_imageutils_jpegcontent.cpp
diff -N graphics/gwenview/files/patch-src_imageutils_jpegcontent.cpp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ graphics/gwenview/files/patch-src_imageutils_jpegcontent.cpp	5 Feb 2009 15:46:28 -0000
@@ -0,0 +1,22 @@
+--- src/imageutils/jpegcontent.cpp.orig	2007-09-15 19:46:17.000000000 +0600
++++ src/imageutils/jpegcontent.cpp	2009-01-09 14:24:04.000000000 +0500
+@@ -589,7 +589,8 @@
+ QImage JPEGContent::thumbnail() const {
+ 	QImage image;
+ 	if (!d->mExifData.empty()) {
+-		Exiv2::DataBuf thumbnail = d->mExifData.copyThumbnail();
++		Exiv2::ExifThumbC thumb(d->mExifData);
++		Exiv2::DataBuf const thumbnail = thumb.copy();
+ 		image.loadFromData(thumbnail.pData_, thumbnail.size_);
+ 	}
+ 	return image;
+@@ -611,7 +612,8 @@
+ 		return;
+ 	}
+ 	
+-	d->mExifData.setJpegThumbnail((unsigned char*)array.data(), array.size());
++	Exiv2::ExifThumb thumb(d->mExifData);
++	thumb.setJpegThumbnail((unsigned char*)array.data(), array.size());
+ }
+ 
+ 
Index: graphics/hugin/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/hugin/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- graphics/hugin/Makefile	3 Dec 2008 13:43:20 -0000	1.26
+++ graphics/hugin/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	hugin
 PORTVERSION=	0.7.0
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
Index: graphics/kdegraphics4/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/kdegraphics4/Makefile,v
retrieving revision 1.130
diff -u -r1.130 Makefile
--- graphics/kdegraphics4/Makefile	23 Jan 2009 16:27:36 -0000	1.130
+++ graphics/kdegraphics4/Makefile	5 Feb 2009 15:46:28 -0000
@@ -6,7 +6,7 @@
 
 PORTNAME=	kdegraphics
 PORTVERSION=	${KDE4_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	graphics kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	stable/${PORTVERSION}/src
@@ -23,7 +23,7 @@
 		lcms:${PORTSDIR}/graphics/lcms \
 		paper:${PORTSDIR}/print/libpaper \
 		poppler-qt4:${PORTSDIR}/graphics/poppler-qt4 \
-		exiv2.3:${PORTSDIR}/graphics/exiv2 \
+		exiv2.7:${PORTSDIR}/graphics/exiv2 \
 		chm.0:${PORTSDIR}/misc/chmlib \
 		sane.1:${PORTSDIR}/graphics/sane-backends \
 		gphoto2.2:${PORTSDIR}/graphics/libgphoto2 \
Index: graphics/kipi-plugins/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/kipi-plugins/Makefile,v
retrieving revision 1.42
diff -u -r1.42 Makefile
--- graphics/kipi-plugins/Makefile	5 Jan 2009 19:04:15 -0000	1.42
+++ graphics/kipi-plugins/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	kipi-plugins
 PORTVERSION=	0.1.7
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	1
 CATEGORIES=	graphics kde
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
Index: graphics/kphotoalbum/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/kphotoalbum/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- graphics/kphotoalbum/Makefile	23 Sep 2008 05:49:01 -0000	1.29
+++ graphics/kphotoalbum/Makefile	5 Feb 2009 15:46:28 -0000
@@ -6,7 +6,7 @@
 
 PORTNAME=		kphotoalbum
 PORTVERSION=		3.1.1
-PORTREVISION=		3
+PORTREVISION=		4
 CATEGORIES=		graphics kde
 MASTER_SITES=		http://www.kphotoalbum.org/data/download/
 
@@ -14,7 +14,7 @@
 COMMENT=		Image database for KDE
 
 LIB_DEPENDS=		kipi.2:${PORTSDIR}/graphics/libkipi \
-			exiv2.3:${PORTSDIR}/graphics/exiv2 \
+			exiv2.7:${PORTSDIR}/graphics/exiv2 \
 			kdcraw.4:${PORTSDIR}/graphics/libkdcraw
 
 USE_KDELIBS_VER=	3
Index: graphics/libkexiv2/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/libkexiv2/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- graphics/libkexiv2/Makefile	17 Dec 2008 07:34:24 -0000	1.10
+++ graphics/libkexiv2/Makefile	5 Feb 2009 15:46:28 -0000
@@ -6,6 +6,7 @@
 
 PORTNAME=	libkexiv2
 PORTVERSION=	0.1.8
+PORTREVISION=	1
 CATEGORIES=	graphics devel
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	kipi
@@ -13,7 +14,7 @@
 MAINTAINER=	ale@FreeBSD.org
 COMMENT=	A wrapper library to manipulate pictures metadata
 
-LIB_DEPENDS=	exiv2.3:${PORTSDIR}/graphics/exiv2
+LIB_DEPENDS=	exiv2.7:${PORTSDIR}/graphics/exiv2
 
 USE_BZIP2=	yes
 USE_KDELIBS_VER=3
Index: graphics/py-exiv2/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/py-exiv2/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- graphics/py-exiv2/Makefile	6 Jun 2008 13:34:50 -0000	1.2
+++ graphics/py-exiv2/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	exiv2
 PORTVERSION=	0.1.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	graphics python
 MASTER_SITES=	http://tilloy.net/dev/pyexiv2/releases/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -16,9 +16,11 @@
 MAINTAINER=	dindin@dindin.ru
 COMMENT=	Python bindings for exiv2
 
-LIB_DEPENDS=	exiv2.3:${PORTSDIR}/graphics/exiv2\
+LIB_DEPENDS=	exiv2.7:${PORTSDIR}/graphics/exiv2\
 		boost_python.4:${PORTSDIR}/devel/boost-python
 
+BROKEN=		does not compile with exiv2-0.18, should change at future version py-exiv2-0.2
+
 WRKSRC=	${WRKDIR}/py${PORTNAME}
 USE_PYTHON=	yes
 USE_GMAKE=	yes
Index: graphics/qtpfsgui/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/qtpfsgui/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- graphics/qtpfsgui/Makefile	10 Jul 2008 17:59:22 -0000	1.11
+++ graphics/qtpfsgui/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	qtpfsgui
 PORTVERSION=	1.9.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
Index: graphics/ufraw/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/ufraw/Makefile,v
retrieving revision 1.32
diff -u -r1.32 Makefile
--- graphics/ufraw/Makefile	5 Jan 2009 20:36:23 -0000	1.32
+++ graphics/ufraw/Makefile	5 Feb 2009 15:46:28 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	ufraw
 PORTVERSION=	0.15
-PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	graphics gnome
 MASTER_SITES=	SF
 