===> Generating patch
===> Viewing diff with more
diff -ruN --exclude=CVS /usr/home/ota/Desktop/Verilog-Perl.orig/Makefile /usr/home/ota/Desktop/Verilog-Perl/Makefile
--- /usr/home/ota/Desktop/Verilog-Perl.orig/Makefile	2009-05-26 08:54:56.000000000 -0300
+++ /usr/home/ota/Desktop/Verilog-Perl/Makefile	2009-07-09 11:10:01.000000000 -0300
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	Verilog-Perl
-PORTVERSION=	3.210
+PORTVERSION=	3.211
 CATEGORIES=	cad perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -14,9 +14,11 @@
 MAINTAINER=	otacilio.neto@ee.ufcg.edu.br
 COMMENT=	Building point for Verilog support in the Perl language
 
+BUILD_DEPENDS=	flex>=2.5.35:${PORTSDIR}/textproc/flex
+
 USE_GMAKE=	yes
 USE_PERL5=	yes
-USE_BISON=	yes
+USE_BISON=	build
 
 PERL_CONFIGURE=	yes
 
diff -ruN --exclude=CVS /usr/home/ota/Desktop/Verilog-Perl.orig/distinfo /usr/home/ota/Desktop/Verilog-Perl/distinfo
--- /usr/home/ota/Desktop/Verilog-Perl.orig/distinfo	2009-05-26 08:01:39.000000000 -0300
+++ /usr/home/ota/Desktop/Verilog-Perl/distinfo	2009-07-09 11:10:01.000000000 -0300
@@ -1,3 +1,3 @@
-MD5 (Verilog-Perl-3.210.tar.gz) = 4facca9c30bfdd21d03024e4272ab9c8
-SHA256 (Verilog-Perl-3.210.tar.gz) = 814bedd604017824966d98e3a81c494994d1969f8217f0349ca58f234fed8ede
-SIZE (Verilog-Perl-3.210.tar.gz) = 205250
+MD5 (Verilog-Perl-3.211.tar.gz) = c9a21ce35bc08441982ab43642adf72d
+SHA256 (Verilog-Perl-3.211.tar.gz) = d7864ab25b46f7f7b3149845c9afa582c13b8c8c7014dcab6052a07a0bfe8303
+SIZE (Verilog-Perl-3.211.tar.gz) = 205490
diff -ruN --exclude=CVS /usr/home/ota/Desktop/Verilog-Perl.orig/p5-Verilog-Perl-3.211.patch /usr/home/ota/Desktop/Verilog-Perl/p5-Verilog-Perl-3.211.patch
--- /usr/home/ota/Desktop/Verilog-Perl.orig/p5-Verilog-Perl-3.211.patch	1969-12-31 21:00:00.000000000 -0300
+++ /usr/home/ota/Desktop/Verilog-Perl/p5-Verilog-Perl-3.211.patch	2009-07-09 11:15:40.000000000 -0300
@@ -0,0 +1 @@
+===> Generating patch
diff -ruN --exclude=CVS /usr/home/ota/Desktop/Verilog-Perl.orig/pkg-plist /usr/home/ota/Desktop/Verilog-Perl/pkg-plist
--- /usr/home/ota/Desktop/Verilog-Perl.orig/pkg-plist	2009-05-26 08:01:39.000000000 -0300
+++ /usr/home/ota/Desktop/Verilog-Perl/pkg-plist	2009-07-09 11:10:01.000000000 -0300
@@ -2,32 +2,32 @@
 bin/vpassert
 bin/vppreproc
 bin/vrename
-%%SITE_PERL%%/mach/Verilog/EditFiles.pm
-%%SITE_PERL%%/mach/Verilog/Getopt.pm
-%%SITE_PERL%%/mach/Verilog/Language.pm
-%%SITE_PERL%%/mach/Verilog/Netlist.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/Cell.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/File.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/Interface.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/Logger.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/Module.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/Net.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/Pin.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/Port.pm
-%%SITE_PERL%%/mach/Verilog/Netlist/Subclass.pm
-%%SITE_PERL%%/mach/Verilog/Parser.pm
-%%SITE_PERL%%/mach/Verilog/Preproc.pm
-%%SITE_PERL%%/mach/Verilog/SigParser.pm
-%%SITE_PERL%%/mach/Verilog/Std.pm
-%%SITE_PERL%%/mach/Verilog/Verilog-Perl.pod
-%%SITE_PERL%%/mach/auto/Verilog/Language/.packlist
-%%SITE_PERL%%/mach/auto/Verilog/Parser/Parser.bs
-%%SITE_PERL%%/mach/auto/Verilog/Parser/Parser.so
-%%SITE_PERL%%/mach/auto/Verilog/Preproc/Preproc.bs
-%%SITE_PERL%%/mach/auto/Verilog/Preproc/Preproc.so
-@dirrm %%SITE_PERL%%/mach/auto/Verilog/Preproc
-@dirrm %%SITE_PERL%%/mach/auto/Verilog/Parser
-@dirrm %%SITE_PERL%%/mach/auto/Verilog/Language
-@dirrm %%SITE_PERL%%/mach/auto/Verilog
-@dirrm %%SITE_PERL%%/mach/Verilog/Netlist
-@dirrm %%SITE_PERL%%/mach/Verilog
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/EditFiles.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Getopt.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Language.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/Cell.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/File.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/Interface.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/Logger.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/Module.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/Net.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/Pin.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/Port.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist/Subclass.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Parser.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Preproc.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/SigParser.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Std.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Verilog-Perl.pod
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog/Language/.packlist
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog/Parser/Parser.bs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog/Parser/Parser.so
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog/Preproc/Preproc.bs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog/Preproc/Preproc.so
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog/Preproc
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog/Parser
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog/Language
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Verilog
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Verilog/Netlist
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Verilog
===> Done