Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/vlc/Makefile,v
retrieving revision 1.207
diff -U 2 -r1.207 Makefile
--- Makefile	19 Dec 2009 22:14:01 -0000	1.207
+++ Makefile	5 Jan 2010 19:27:11 -0000
@@ -20,5 +20,5 @@
 COMMENT=	Multimedia streaming server and player for various audio/video formats
 
-LIB_DEPENDS=	avcodec.1:${PORTSDIR}/multimedia/ffmpeg
+LIB_DEPENDS=	avcodec:${PORTSDIR}/multimedia/ffmpeg
 RUN_DEPENDS=	${LOCALBASE}/lib/X11/fonts/bitstream-vera/Vera.ttf:${PORTSDIR}/x11-fonts/bitstream-vera
 
@@ -128,5 +128,5 @@
 CONFIGURE_ARGS+=--disable-dbus
 .else
-LIB_DEPENDS+=	dbus-1.3:${PORTSDIR}/devel/dbus
+LIB_DEPENDS+=	dbus-1:${PORTSDIR}/devel/dbus
 CONFIGURE_ARGS+=--enable-dbus
 .endif
@@ -188,5 +188,5 @@
 
 .if !defined(WITHOUT_LIBNOTIFY) && !defined(WITHOUT_X11)
-LIB_DEPENDS+=	notify.1:${PORTSDIR}/devel/libnotify
+LIB_DEPENDS+=	notify:${PORTSDIR}/devel/libnotify
 CONFIGURE_ARGS+=--enable-notify
 .else
@@ -195,5 +195,5 @@
 
 .if defined(WITH_SKINS) && !defined(WITHOUT_SKINS) && !defined(WITHOUT_QT4) && !defined(WITHOUT_X11)
-LIB_DEPENDS+=	tar.0:${PORTSDIR}/devel/libtar
+LIB_DEPENDS+=	tar:${PORTSDIR}/devel/libtar
 CONFIGURE_ARGS+=--enable-skins2 --enable-libtar
 .else
@@ -209,5 +209,5 @@
 
 .if defined(WITH_JACK) && !defined(WITHOUT_JACK)
-LIB_DEPENDS+=	jack.0:${PORTSDIR}/audio/jack
+LIB_DEPENDS+=	jack:${PORTSDIR}/audio/jack
 CONFIGURE_ARGS+=--enable-jack
 .else
@@ -216,5 +216,5 @@
 
 .if defined(WITH_REMOTE_OSD)
-LIB_DEPENDS+=	gcrypt.16:${PORTSDIR}/security/libgcrypt
+LIB_DEPENDS+=	gcrypt:${PORTSDIR}/security/libgcrypt
 CONFIGURE_ARGS+=--enable-remoteosd
 .else
@@ -223,5 +223,5 @@
 
 .if defined(WITH_PULSEAUDIO) && !defined(WITHOUT_PULSEAUDIO)
-LIB_DEPENDS+=	pulse.0:${PORTSDIR}/audio/pulseaudio
+LIB_DEPENDS+=	pulse:${PORTSDIR}/audio/pulseaudio
 CONFIGURE_ARGS+=--enable-pulse
 .else
@@ -230,5 +230,5 @@
 
 .if defined(WITH_FLUIDSYNTH) && !defined(WITHOUT_FLUIDSYNTH)
-LIB_DEPENDS+=	fluidsynth.2:${PORTSDIR}/audio/fluidsynth
+LIB_DEPENDS+=	fluidsynth:${PORTSDIR}/audio/fluidsynth
 CONFIGURE_ARGS+=--enable-fluidsynth
 .else
@@ -237,5 +237,5 @@
 
 .if !defined(WITHOUT_ZVBI)
-LIB_DEPENDS+=	zvbi.13:${PORTSDIR}/devel/libzvbi
+LIB_DEPENDS+=	zvbi:${PORTSDIR}/devel/libzvbi
 CONFIGURE_ARGS+=--enable-zvbi
 .else
@@ -244,5 +244,5 @@
 
 .if !defined(WITHOUT_HAL) && !defined(WITHOUT_X11)
-LIB_DEPENDS+=	hal.1:${PORTSDIR}/sysutils/hal
+LIB_DEPENDS+=	hal:${PORTSDIR}/sysutils/hal
 CONFIGURE_ARGS+=--enable-hal
 .else
@@ -251,5 +251,5 @@
 
 .if !defined(WITHOUT_AVAHI)
-LIB_DEPENDS+=	avahi-common.3:${PORTSDIR}/net/avahi-app
+LIB_DEPENDS+=	avahi-common:${PORTSDIR}/net/avahi-app
 CONFIGURE_ARGS+=	--enable-bonjour
 .else
@@ -258,6 +258,6 @@
 
 .if !defined(WITHOUT_CDROM)
-LIB_DEPENDS+=	vcdinfo.2:${PORTSDIR}/multimedia/vcdimager \
-		cdio.12:${PORTSDIR}/sysutils/libcdio
+LIB_DEPENDS+=	vcdinfo:${PORTSDIR}/multimedia/vcdimager \
+		cdio:${PORTSDIR}/sysutils/libcdio
 CONFIGURE_ARGS+=--enable-vcd \
 		--enable-libcddb \
@@ -271,5 +271,5 @@
 
 .if !defined(WITHOUT_CDPARANOIA) && !defined(WITHOUT_CDROM)
-LIB_DEPENDS+=	cdda_interface.0:${PORTSDIR}/audio/cdparanoia
+LIB_DEPENDS+=	cdda_interface:${PORTSDIR}/audio/cdparanoia
 CONFIGURE_ARGS+=--enable-cdda \
 		--enable-cddax
@@ -280,5 +280,5 @@
 
 .if !defined(WITHOUT_DVBPSI)
-LIB_DEPENDS+=	dvbpsi.5:${PORTSDIR}/multimedia/libdvbpsi
+LIB_DEPENDS+=	dvbpsi:${PORTSDIR}/multimedia/libdvbpsi
 CONFIGURE_ARGS+=--enable-dvbpsi \
 		--with-dvbpsi=${LOCALBASE}
@@ -288,5 +288,5 @@
 
 .if !defined(WITHOUT_DVDNAV)
-LIB_DEPENDS+=	dvdnav.4:${PORTSDIR}/multimedia/libdvdnav
+LIB_DEPENDS+=	dvdnav:${PORTSDIR}/multimedia/libdvdnav
 CONFIGURE_ARGS+=--enable-dvdnav
 .else
@@ -295,5 +295,5 @@
 
 .if defined(WITH_DVDREAD) && !defined(WITHOUT_DVDREAD)
-LIB_DEPENDS+=	dvdread.4:${PORTSDIR}/multimedia/libdvdread
+LIB_DEPENDS+=	dvdread:${PORTSDIR}/multimedia/libdvdread
 CONFIGURE_ARGS+=--enable-dvdread
 .else
@@ -303,9 +303,9 @@
 .if defined(WITH_FAAC) && !defined(WITHOUT_FAAC)
 CONFIGURE_ARGS+=--with-ffmpeg-faac
-LIB_DEPENDS+=	faac.0:${PORTSDIR}/audio/faac
+LIB_DEPENDS+=	faac:${PORTSDIR}/audio/faac
 .endif
 
 .if (defined(WITH_FAAD) || exists(${LOCALBASE}/lib/libfaad.a)) && !defined(WITHOUT_FAAD)
-LIB_DEPENDS+=	faad.2:${PORTSDIR}/audio/faad
+LIB_DEPENDS+=	faad:${PORTSDIR}/audio/faad
 CONFIGURE_ARGS+=--enable-faad
 .else
@@ -314,12 +314,12 @@
 
 .if (defined(WITH_FLAC) || exists(${LOCALBASE}/lib/libFLAC.a)) && !defined(WITHOUT_FLAC)
-LIB_DEPENDS+=	FLAC.10:${PORTSDIR}/audio/flac
+LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac
 CONFIGURE_ARGS+=--enable-flac
 .else
-CONFLGIRE_ARGS+=--disable-flac
+CONFIGURE_ARGS+=--disable-flac
 .endif
 
 .if (defined(WITH_FRIBIDI) || exists(${LOCALBASE}/bin/fribidi-config)) && !defined(WITHOUT_FRIBIDI)
-LIB_DEPENDS+=	fribidi.3:${PORTSDIR}/converters/fribidi
+LIB_DEPENDS+=	fribidi:${PORTSDIR}/converters/fribidi
 CONFIGURE_ARGS+=--enable-fribidi
 .else
@@ -328,5 +328,5 @@
 
 .if (defined(WITH_AALIB) || exists(${LOCALBASE}/lib/libaa.so.1)) && !defined(WITHOUT_AALIB)
-LIB_DEPENDS+=	aa.1:${PORTSDIR}/graphics/aalib
+LIB_DEPENDS+=	aa:${PORTSDIR}/graphics/aalib
 CONFIGURE_ARGS+=--enable-aa
 .else
@@ -335,5 +335,5 @@
 
 .if (defined(WITH_DIRAC) || exists(${LOCALBASE}/lib/libdirac_decoder.a)) && !defined(WITHOUT_DIRAC)
-LIB_DEPENDS+=	dirac_decoder.1:${PORTSDIR}/multimedia/dirac
+LIB_DEPENDS+=	dirac_decoder:${PORTSDIR}/multimedia/dirac
 CONFIGURE_ARGS+=--enable-dirac
 CPPFLAGS+=	-I${LOCALBASE}/include/dirac
@@ -343,5 +343,5 @@
 
 .if defined(WITH_SCHROEDINGER) && !defined(WITHOUT_SCHROEDINGER)
-LIB_DEPENDS+=	schroedinger-1.0.2:${PORTSDIR}/multimedia/schroedinger
+LIB_DEPENDS+=	schroedinger-1.0:${PORTSDIR}/multimedia/schroedinger
 CONFIGURE_ARGS+=--enable-schroedinger
 .else
@@ -351,5 +351,5 @@
 .if !defined(WITHOUT_X264)
 CONFIGURE_ARGS+=--enable-x264
-LIB_DEPENDS+=	x264.65:${PORTSDIR}/multimedia/x264
+LIB_DEPENDS+=	x264:${PORTSDIR}/multimedia/x264
 .else
 CONFIGURE_ARGS+=--disable-x264
@@ -368,5 +368,5 @@
 .if !defined(WITHOUT_AALIB)
 WITH_AALIB=	yes
-LIB_DEPENDS+=	caca.0:${PORTSDIR}/graphics/libcaca
+LIB_DEPENDS+=	caca:${PORTSDIR}/graphics/libcaca
 CONFIGURE_ARGS+=--enable-caca
 .endif
@@ -376,5 +376,5 @@
 
 .if !defined(WITHOUT_DTS)
-LIB_DEPENDS+=	dca.0:${PORTSDIR}/multimedia/libdca
+LIB_DEPENDS+=	dca:${PORTSDIR}/multimedia/libdca
 CONFIGURE_ARGS+=--enable-dca
 .else
@@ -387,5 +387,5 @@
 
 .if (defined(WITH_GGI) || exists(${LOCALBASE}/lib/libggi.a)) && !defined(WITHOUT_GGI)
-LIB_DEPENDS+=	ggi.2:${PORTSDIR}/graphics/libggi
+LIB_DEPENDS+=	ggi:${PORTSDIR}/graphics/libggi
 CONFIGURE_ARGS+=--enable-ggi
 .else
@@ -394,5 +394,5 @@
 
 .if !defined(WITHOUT_MATROSKA)
-LIB_DEPENDS+=	matroska.0:${PORTSDIR}/multimedia/libmatroska
+LIB_DEPENDS+=	matroska:${PORTSDIR}/multimedia/libmatroska
 CONFIGURE_ARGS+=--enable-mkv
 .else
@@ -401,5 +401,5 @@
 
 .if !defined(WITHOUT_A52)
-LIB_DEPENDS+=	a52.0:${PORTSDIR}/audio/liba52
+LIB_DEPENDS+=	a52:${PORTSDIR}/audio/liba52
 CONFIGURE_ARGS+=--enable-a52
 .else
@@ -419,5 +419,5 @@
 
 .if !defined(WITHOUT_MPEG2)
-LIB_DEPENDS+=	mpeg2.0:${PORTSDIR}/multimedia/libmpeg2
+LIB_DEPENDS+=	mpeg2:${PORTSDIR}/multimedia/libmpeg2
 CONFIGURE_ARGS+=--enable-libmpeg2
 .else
@@ -431,10 +431,10 @@
 
 .if (defined(WITH_SHOUT) || exists(${LOCALBASE}/lib/libshout.a)) && !defined(WITHOUT_SHOUT)
-LIB_DEPENDS+=	shout.5:${PORTSDIR}/audio/libshout2
+LIB_DEPENDS+=	shout:${PORTSDIR}/audio/libshout2
 CONFIGURE_ARGS+=	--enable-shout
 .endif
 
 .if (defined(WITH_THEORA) || exists(${LOCALBASE}/lib/libtheora.a)) && !defined(WITHOUT_THEORA)
-LIB_DEPENDS+=	theora.0:${PORTSDIR}/multimedia/libtheora
+LIB_DEPENDS+=	theora:${PORTSDIR}/multimedia/libtheora
 CONFIGURE_ARGS+=--enable-theora
 .else
@@ -451,5 +451,5 @@
 
 .if !defined(WITHOUT_TAGLIB)
-LIB_DEPENDS+=	tag.1:${PORTSDIR}/audio/taglib
+LIB_DEPENDS+=	tag:${PORTSDIR}/audio/taglib
 CONFIGURE_ARGS+=--enable-taglib
 .else
@@ -458,6 +458,6 @@
 
 .if !defined(WITHOUT_MAD)
-LIB_DEPENDS+=	id3tag.0:${PORTSDIR}/audio/libid3tag \
-		mad.2:${PORTSDIR}/audio/libmad
+LIB_DEPENDS+=	id3tag:${PORTSDIR}/audio/libid3tag \
+		mad:${PORTSDIR}/audio/libmad
 CONFIGURE_ARGS+=--enable-mad \
 		--with-mad=${LOCALBASE}
@@ -467,5 +467,5 @@
 
 .if !defined(WITHOUT_MODDEMUX)
-LIB_DEPENDS+=	modplug.0:${PORTSDIR}/audio/libmodplug
+LIB_DEPENDS+=	modplug:${PORTSDIR}/audio/libmodplug
 CONFIGURE_ARGS+=--enable-mod
 .else
@@ -474,5 +474,5 @@
 
 .if !defined(WITHOUT_MPCDEMUX)
-LIB_DEPENDS+=	mpcdec.5:${PORTSDIR}/audio/libmpcdec
+LIB_DEPENDS+=	mpcdec:${PORTSDIR}/audio/libmpcdec
 CONFIGURE_ARGS+=--enable-mpc
 .else
@@ -481,5 +481,5 @@
 
 .if !defined(WITHOUT_OGG)
-LIB_DEPENDS+=	ogg.6:${PORTSDIR}/audio/libogg
+LIB_DEPENDS+=	ogg:${PORTSDIR}/audio/libogg
 CONFIGURE_ARGS+=--enable-ogg
 .else
@@ -493,5 +493,5 @@
 
 .if !defined(WITHOUT_SAMBA)
-LIB_DEPENDS+=	smbclient.0:${PORTSDIR}/net/samba-libsmbclient
+LIB_DEPENDS+=	smbclient:${PORTSDIR}/net/samba-libsmbclient
 CONFIGURE_ARGS+=--enable-smb
 .else
@@ -511,5 +511,5 @@
 
 .if !defined(WITHOUT_HTTPD)
-LIB_DEPENDS+=	gnutls.40:${PORTSDIR}/security/gnutls
+LIB_DEPENDS+=	gnutls:${PORTSDIR}/security/gnutls
 CONFIGURE_ARGS+=--enable-gnutls
 .else
@@ -518,5 +518,5 @@
 
 .if !defined(WITHOUT_SPEEX)
-LIB_DEPENDS+=	speex.1:${PORTSDIR}/audio/speex
+LIB_DEPENDS+=	speex:${PORTSDIR}/audio/speex
 CONFIGURE_ARGS+=--enable-speex
 CPPFLAGS+=-I${LOCALBASE}/include/speex
@@ -537,5 +537,5 @@
 
 .if (defined(WITH_SVGALIB) || exists(${LOCALBASE}/lib/lib/vga.a)) && !defined(WITHOUT_SVGALIB)
-LIB_DEPENDS+=	vga.1:${PORTSDIR}/graphics/svgalib
+LIB_DEPENDS+=	vga:${PORTSDIR}/graphics/svgalib
 CONFIGURE_ARGS+=--enable-svgalib
 .else
@@ -544,5 +544,5 @@
 
 .if (defined(WITH_TREMOR) || exists(${LOCALBASE}/lib/libvorbisidec.a)) && !defined(WITHOUT_TREMOR)
-LIB_DEPENDS+=	vorbisidec.1:${PORTSDIR}/audio/libtremor
+LIB_DEPENDS+=	vorbisidec:${PORTSDIR}/audio/libtremor
 .else
 CONFIGURE_ARGS+=--disable-tremor
@@ -550,5 +550,5 @@
 
 .if (defined(WITH_TWOLAME) || exists(${LOCALBASE}/lib/libtwolame.a)) && !defined(WITHOUT_TWOLAME)
-LIB_DEPENDS+=		twolame.0:${PORTSDIR}/audio/twolame
+LIB_DEPENDS+=		twolame:${PORTSDIR}/audio/twolame
 CONFIGURE_ARGS+=	--enable-twolame
 .else
@@ -557,5 +557,5 @@
 
 .if !defined(WITHOUT_VORBIS)
-LIB_DEPENDS+=	vorbis.4:${PORTSDIR}/audio/libvorbis
+LIB_DEPENDS+=	vorbis:${PORTSDIR}/audio/libvorbis
 CONFIGURE_ARGS+=--enable-vorbis
 .else
@@ -564,5 +564,5 @@
 
 .if (defined(WITH_XOSD) || exists(${LOCALBASE}/lib/libxosd.a)) && !defined(WITHOUT_XOSD)
-LIB_DEPENDS+=	xosd.4:${PORTSDIR}/misc/xosd
+LIB_DEPENDS+=	xosd:${PORTSDIR}/misc/xosd
 CONFIGURE_ARGS+=--enable-xosd
 .else