diff -ruN cherokee/Makefile cherokee-new/Makefile
--- cherokee/Makefile	2010-09-15 08:29:48.000000000 -0400
+++ cherokee-new/Makefile	2010-11-17 17:14:54.000000000 -0300
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	cherokee
-PORTVERSION=	1.0.8
+PORTVERSION=	1.0.9
 CATEGORIES=	www
 MASTER_SITES=	http://www.cherokee-project.com/download/1.0/${PORTVERSION}/ \
 		http://cherokee.osuosl.org/1.0/${PORTVERSION}/ \
@@ -64,8 +64,14 @@
 CHEROKEE_ERRORLOG?=	${CHEROKEE_LOGDIR}/cherokee.error
 
 # Adjust this if you need to run Cherokee as a distinct user:group
-CHEROKEE_USER=	www
-CHEROKEE_GROUP=	www
+CHEROKEE_USER=  www	
+CHEROKEE_GROUP=	www 
+
+# This should be ok since 1.0.9, cherokee drops privileges
+# after opening logfiles as a security measure
+CHEROKEE_LOGFILE_FILEMODE=0600
+CHEROKEE_LOGFILE_USER= root
+CHEROKEE_LOGFILE_GROUP= wheel 
 
 CONFIGURE_ARGS=	--with-wwwroot=${PREFIX}/www/cherokee \
 		--localstatedir=${CHEROKEE_VARDIR} \
@@ -174,32 +180,32 @@
 		s:%prefix%:${PREFIX}:g; \
 		s:%localstatedir%:/var:g' \
 		$$i > $${i%.pre};done
+
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
 		${WRKSRC}/admin/server.py
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/05to06.py
-	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/06to07.py
+		${WRKSRC}/admin/upgrade_config.py
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/07to08.py
+		${WRKSRC}/cherokee/cherokee-tweak
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/08to09.py
-	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/09to010.py
+		${WRKSRC}/doc/cookbook_dbslayer.html
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/011to098.py
+		${WRKSRC}/doc/test_images.py
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/098to099.py
+		${WRKSRC}/contrib/tracelor.py
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/0999to09910.py
+		${WRKSRC}/gitlog2changelog.py
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/contrib/tracelor.py
+		${WRKSRC}/po/po_stats.py
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
-		${WRKSRC}/doc/cookbook_dbslayer.html
+		${WRKSRC}/packages/osx/build.py
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
 		${WRKSRC}/qa/fcgi.py
 	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
 		${WRKSRC}/qa/run-tests.py
+	@${REINPLACE_CMD} -e 's|/usr/bin/env python|/usr/local/bin/python|' \
+		${WRKSRC}/svnlog2changelog.py
+
 
 post-install:
 	@${INSTALL} -d ${CONFSUBDIRS:S|^|${PREFIX}/etc/cherokee/|}
@@ -225,8 +231,9 @@
 .endif
 
 	@${SETENV} \
-	     CHEROKEE_USER=${CHEROKEE_USER} \
-	     CHEROKEE_GROUP=${CHEROKEE_GROUP} \
+	     CHEROKEE_LOGFILE_FILEMODE=${CHEROKEE_LOGFILE_FILEMODE} \
+	     CHEROKEE_LOGFILE_USER=${CHEROKEE_LOGFILE_USER} \
+	     CHEROKEE_LOGFILE_GROUP=${CHEROKEE_LOGFILE_GROUP} \
 	     CHEROKEE_ERRORLOG=${CHEROKEE_ERRORLOG} \
 	     CHEROKEE_ACCESSLOG=${CHEROKEE_ACCESSLOG} \
 	     ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
diff -ruN cherokee/distinfo cherokee-new/distinfo
--- cherokee/distinfo	2010-09-15 08:29:48.000000000 -0400
+++ cherokee-new/distinfo	2010-11-15 18:52:30.000000000 -0300
@@ -1,3 +1,2 @@
-MD5 (cherokee-1.0.8.tar.gz) = 12117a80c2a970173bd32660439c2db0
-SHA256 (cherokee-1.0.8.tar.gz) = 45e0f777668f7e1ea13c706bdd7b6519077854a69223ad5d3b2fa30bdc83cf1f
-SIZE (cherokee-1.0.8.tar.gz) = 5384416
+SHA256 (cherokee-1.0.9.tar.gz) = ab637e411717a57545f374e0c44b1e1ecb421e0a57a70f5fb456029631c4db46
+SIZE (cherokee-1.0.9.tar.gz) = 5784929
diff -ruN cherokee/files/patch-cherokee-admin-market-Package.py cherokee-new/files/patch-cherokee-admin-market-Package.py
--- cherokee/files/patch-cherokee-admin-market-Package.py	1969-12-31 20:00:00.000000000 -0400
+++ cherokee-new/files/patch-cherokee-admin-market-Package.py	2010-11-15 18:15:56.000000000 -0300
@@ -0,0 +1,9 @@
+--- admin/market/Package.py-orig	2010-11-15 18:14:42.000000000 -0300
++++ admin/market/Package.py	2010-11-15 18:14:57.000000000 -0300
+@@ -30,5 +30,5 @@
+         self.status_setup      = CTK.ImageStock('loading')
+ 
+         table  = CTK.Table()
+-        table += [CTK.RawHTML ("Uncompress"),
++        table += [CTK.RawHTML ("Uncompress"),]
+ 
diff -ruN cherokee/files/patch-cherokee-admin-systemstats.py cherokee-new/files/patch-cherokee-admin-systemstats.py
--- cherokee/files/patch-cherokee-admin-systemstats.py	1969-12-31 20:00:00.000000000 -0400
+++ cherokee-new/files/patch-cherokee-admin-systemstats.py	2010-11-17 20:23:50.000000000 -0300
@@ -0,0 +1,149 @@
+--- admin/SystemStats.py-orig	2010-11-03 13:54:15.000000000 -0300
++++ admin/SystemStats.py	2010-11-17 20:21:01.000000000 -0300
+@@ -42,6 +42,9 @@
+             _stats = System_stats__Linux()
+         elif sys.platform == 'darwin':
+             _stats = System_stats__Darwin()
++        elif sys.platform.rstrip('987') == 'freebsd' :
++            _stats = System_stats__FreeBSD()
++        
+ 
+     assert _stats, "Not implemented"
+     return _stats
+@@ -286,6 +289,130 @@
+             time.sleep (self.CHECK_INTERVAL)
+ 
+ 
++
++# FreeBSD implementation	
++class System_stats__FreeBSD (Thread, System_stats):
++    CHECK_INTERVAL = 2
++
++    def __init__ (self):
++        Thread.__init__ (self)
++        System_stats.__init__ (self)
++
++        self.cpu._user_prev = 0
++        self.cpu._sys_prev  = 0
++        self.cpu._nice_prev = 0
++        self.cpu._idle_prev = 0
++
++        # Read valid values
++        self._read_hostname()
++        self._read_cpu()
++        self._read_memory()
++        self._read_cpu_info()
++
++        self.start()
++
++    def _read_hostname (self):
++        import os
++
++	hname = os.uname()[1]
++
++	if not hname:
++          # Execute sysctl 
++          fd = subprocess.Popen ("/sbin/sysctl -n kern.hostname", shell=True, stdout = subprocess.PIPE)
++          hname = fd.stdout.readline().strip()
++
++        self.hostname=hname
++
++    def _read_cpu_info (self):
++	    
++	fd = subprocess.Popen("/sbin/sysctl hw.ncpu  hw.clockrate  kern.threads.virtual_cpu", shell=True, stdout =subprocess.PIPE)    
++        lines = fd.stdout.readlines()
++     
++
++        ncpus=0
++        vcpus=0 
++	clock=''
++
++	for line in lines:
++	    parts = line.split()
++	    if parts[0] == 'hw.ncpu:':
++		ncpus = int(parts[1])
++            elif parts[0] == 'hw.clockrate:':
++		clock = parts[1] 
++            elif parts[0] == 'kern.threads.virtual_cpu:':
++		vcpus = parts[1] 
++
++
++	# FIXME: Is this reliable?
++	self.cpu.num=str(int(vcpus)/int(ncpus))
++ 	self.cpu.cores=vcpus
++        
++	self.cpu.speed = '%s MHz' %(clock)
++
++    def _read_cpu (self):
++	fd = subprocess.Popen("/sbin/sysctl -n kern.cp_time", shell=True, stdout =subprocess.PIPE)    
++        
++	fields = fd.stdout.readline().split()
++
++        user = float(fields[0])
++        sys  = float(fields[1])
++        nice = float(fields[2])
++#	intr = float(fields[3]) # 4th is interrupts, not used
++        idle = float(fields[4])
++
++        total = ((user - self.cpu._user_prev) + (sys - self.cpu._sys_prev) + (nice - self.cpu._nice_prev) + (idle - self.cpu._idle_prev))
++        self.cpu.usage = int(100.0 * ((user + sys + nice) - (self.cpu._user_prev + self.cpu._sys_prev + self.cpu._nice_prev)) / (total + 0.001) + 0.5)
++
++        if (self.cpu.usage > 100):
++            self.cpu.usage = 100
++
++        self.cpu.idle = 100 - self.cpu.usage
++
++        self.cpu._user_prev = user
++        self.cpu._sys_prev  = sys
++        self.cpu._nice_prev = nice
++        self.cpu._idle_prev = idle
++
++    def _read_memory (self):
++
++	# What we need from sysctl:
++	#  * vm.stats.vm.v_free_count
++        #  * vm.stats.vm.v_page_count
++        #  * hw.pagesize
++
++        # physical memory free = v_free_count*page_size;
++        # physical memory size = v_page_count*page_size;
++        # physical memory used = size - free space
++
++	fd = subprocess.Popen("/sbin/sysctl vm.stats.vm.v_active_count vm.stats.vm.v_page_count hw.pagesize", shell=True, stdout =subprocess.PIPE)    
++	lines = fd.stdout.readlines()
++
++        pagesize  = 0
++        pagecount = 0
++        activecount = 0
++
++	for line in lines:
++	    parts = line.split()
++	    if   parts[0] == 'hw.pagesize:':
++               pagesize = int(parts[1])
++            elif parts[0] == 'vm.stats.vm.v_active_count:':   
++               activecount = int(parts[1])
++            elif parts[0] == 'vm.stats.vm.v_page_count:':   
++	       pagecount = int(parts[1])
++
++
++        self.mem.total = (pagesize * pagecount) / 1024
++        self.mem.free  = (pagesize * (pagecount-activecount)) / 1024
++        self.mem.used  = (pagesize * activecount) / 1024
++
++
++    def run (self):
++        while True:
++            self._read_cpu()
++            self._read_memory()
++            time.sleep (self.CHECK_INTERVAL)
++
++
+ if __name__ == '__main__':
+     sys_stats = get_system_stats()
+ 
+@@ -305,3 +432,5 @@
+         print 'free',  sys_stats.mem.free
+ 
+         time.sleep(1)
++
++
diff -ruN cherokee/files/patch-cherokee-main_admin.c cherokee-new/files/patch-cherokee-main_admin.c
--- cherokee/files/patch-cherokee-main_admin.c	1969-12-31 20:00:00.000000000 -0400
+++ cherokee-new/files/patch-cherokee-main_admin.c	2010-11-15 17:14:23.000000000 -0300
@@ -0,0 +1,13 @@
+--- cherokee/main_admin.c-orig	2010-10-29 07:11:18.000000000 -0300
++++ cherokee/main_admin.c	2010-11-15 16:56:39.000000000 -0300
+@@ -35,6 +35,10 @@
+ #include "server-protected.h"
+ #include "util.h"
+ 
++#ifdef HAVE_SYS_WAIT_H
++# include <sys/wait.h>
++#endif
++
+ #ifdef HAVE_GETOPT_LONG
+ # include <getopt.h>
+ #else
diff -ruN cherokee/files/patch-cherokee-util.c cherokee-new/files/patch-cherokee-util.c
--- cherokee/files/patch-cherokee-util.c	1969-12-31 20:00:00.000000000 -0400
+++ cherokee-new/files/patch-cherokee-util.c	2010-11-15 17:57:21.000000000 -0300
@@ -0,0 +1,14 @@
+--- cherokee/util.c-orig	2010-11-15 17:53:34.000000000 -0300
++++ cherokee/util.c	2010-11-15 17:56:46.000000000 -0300
+@@ -38,6 +38,11 @@
+ #include <errno.h>
+ #include <fcntl.h>
+ 
++ 
++#ifdef HAVE_SYS_WAIT_H
++# include <sys/wait.h>
++#endif
++
+ #ifdef HAVE_SYS_TIME_H
+ # include <sys/time.h>
+ #else
diff -ruN cherokee/files/pkg-install.in cherokee-new/files/pkg-install.in
--- cherokee/files/pkg-install.in	2010-09-15 08:29:48.000000000 -0400
+++ cherokee-new/files/pkg-install.in	2010-11-17 17:15:11.000000000 -0300
@@ -2,18 +2,18 @@
 
 PATH=/bin:/usr/bin:/usr/sbin
 
-FILEMODE=0640
 
 C_ACCESSLOG=${CHEROKEE_ACCESSLOG:-/var/log/cherokee.access}
 C_ERRORLOG=${CHEROKEE_ERRORLOG:-/var/log/cherokee.error}
-C_USER=${CHEROKEE_USER:-www}
-C_GROUP=${CHEROKEE_GROUP:-www}
+C_USER=${CHEROKEE_LOGFILE_USER:-root}
+C_GROUP=${CHEROKEE_LOGFILE_GROUP:-wheel}
+C_FILEMODE=${CHEROKEE_LOGFILE_FILEMODE:-0640}
 
 case $2 in
 
 POST-INSTALL)
         echo "$2 for $1" 
-	echo "Adjusting ownership (${C_USER}:${C_GROUP}) and permissions (${FILEMODE}) on log files:"
+	echo "Adjusting ownership (${C_USER}:${C_GROUP}) and permissions (${C_FILEMODE}) on log files:"
         echo "${C_ACCESSLOG}"
         echo "${C_ERRORLOG}"
 
@@ -26,7 +26,7 @@
         fi
 
 	chown ${C_USER}:${C_GROUP} ${C_ACCESSLOG} ${C_ERRORLOG}
-	chmod ${FILEMODE} ${C_ACCESSLOG} ${C_ERRORLOG}
+	chmod ${C_FILEMODE} ${C_ACCESSLOG} ${C_ERRORLOG}
 	
 	;;
 
diff -ruN cherokee/pkg-plist cherokee-new/pkg-plist
--- cherokee/pkg-plist	2010-08-07 10:11:49.000000000 -0400
+++ cherokee-new/pkg-plist	2010-11-15 20:42:04.000000000 -0300
@@ -10,7 +10,6 @@
 etc/cherokee/sites-available/.empty
 etc/cherokee/sites-enabled/.empty
 etc/cherokee/ssl/.empty
-include/cherokee/admin_client.h
 include/cherokee/avl.h
 include/cherokee/avl_r.h
 include/cherokee/buffer.h
@@ -69,8 +68,6 @@
 lib/cherokee/libplugin_custom.so
 lib/cherokee/libplugin_custom_error.la
 lib/cherokee/libplugin_custom_error.so
-lib/cherokee/libplugin_tls.la
-lib/cherokee/libplugin_tls.so
 %%MYSQL%%lib/cherokee/libplugin_dbslayer.la
 %%MYSQL%%lib/cherokee/libplugin_dbslayer.so
 lib/cherokee/libplugin_deflate.la
@@ -85,12 +82,12 @@
 lib/cherokee/libplugin_error_nn.so
 lib/cherokee/libplugin_error_redir.la
 lib/cherokee/libplugin_error_redir.so
+lib/cherokee/libplugin_evhost.la
+lib/cherokee/libplugin_evhost.so
 lib/cherokee/libplugin_exists.la
 lib/cherokee/libplugin_exists.so
 lib/cherokee/libplugin_extensions.la
 lib/cherokee/libplugin_extensions.so
-lib/cherokee/libplugin_evhost.la
-lib/cherokee/libplugin_evhost.so
 lib/cherokee/libplugin_fcgi.la
 lib/cherokee/libplugin_fcgi.so
 lib/cherokee/libplugin_file.la
@@ -129,24 +126,24 @@
 lib/cherokee/libplugin_pam.so
 lib/cherokee/libplugin_plain.la
 lib/cherokee/libplugin_plain.so
+lib/cherokee/libplugin_post_report.la
+lib/cherokee/libplugin_post_report.so
+lib/cherokee/libplugin_post_track.la
+lib/cherokee/libplugin_post_track.so
 lib/cherokee/libplugin_proxy.la
 lib/cherokee/libplugin_proxy.so
-lib/cherokee/libplugin_post_track.so
-lib/cherokee/libplugin_post_track.la
-lib/cherokee/libplugin_post_report.so
-lib/cherokee/libplugin_post_report.la
 lib/cherokee/libplugin_redir.la
 lib/cherokee/libplugin_redir.so
 lib/cherokee/libplugin_rehost.la
 lib/cherokee/libplugin_rehost.so
-lib/cherokee/libplugin_render_rrd.so
 lib/cherokee/libplugin_render_rrd.la
+lib/cherokee/libplugin_render_rrd.so
 lib/cherokee/libplugin_request.la
 lib/cherokee/libplugin_request.so
 lib/cherokee/libplugin_round_robin.la
 lib/cherokee/libplugin_round_robin.so
-lib/cherokee/libplugin_rrd.so
 lib/cherokee/libplugin_rrd.la
+lib/cherokee/libplugin_rrd.so
 lib/cherokee/libplugin_scgi.la
 lib/cherokee/libplugin_scgi.so
 lib/cherokee/libplugin_secdownload.la
@@ -155,14 +152,16 @@
 lib/cherokee/libplugin_server_info.so
 lib/cherokee/libplugin_ssi.la
 lib/cherokee/libplugin_ssi.so
-lib/cherokee/libplugin_streaming.la
-lib/cherokee/libplugin_streaming.so
-lib/cherokee/libplugin_target_ip.so
 lib/cherokee/libplugin_target_ip.la
+lib/cherokee/libplugin_target_ip.so
+lib/cherokee/libplugin_tls.la
+lib/cherokee/libplugin_tls.so
 lib/cherokee/libplugin_url_arg.la
 lib/cherokee/libplugin_url_arg.so
-lib/cherokee/libplugin_uwsgi.so
 lib/cherokee/libplugin_uwsgi.la
+lib/cherokee/libplugin_uwsgi.so
+lib/cherokee/libplugin_v_or.la
+lib/cherokee/libplugin_v_or.so
 lib/cherokee/libplugin_wildcard.la
 lib/cherokee/libplugin_wildcard.so
 lib/libcherokee-base.la
@@ -171,9 +170,6 @@
 lib/libcherokee-client.la
 lib/libcherokee-client.so
 lib/libcherokee-client.so.0
-lib/libcherokee-config.la
-lib/libcherokee-config.so
-lib/libcherokee-config.so.0
 lib/libcherokee-server.la
 lib/libcherokee-server.so
 lib/libcherokee-server.so.0
@@ -194,12 +190,8 @@
 %%NLS%%share/locale/sv_SE/LC_MESSAGES/cherokee.mo
 %%ADMIN%%%%DATADIR%%/admin/Auth.py
 %%ADMIN%%%%DATADIR%%/admin/Auth.pyc
-%%ADMIN%%%%DATADIR%%/admin/Backup.py
-%%ADMIN%%%%DATADIR%%/admin/Backup.pyc
 %%ADMIN%%%%DATADIR%%/admin/Balancer.py
 %%ADMIN%%%%DATADIR%%/admin/Balancer.pyc
-%%ADMIN%%%%DATADIR%%/admin/Login.py
-%%ADMIN%%%%DATADIR%%/admin/Login.pyc
 %%ADMIN%%%%DATADIR%%/admin/CTK/CTK/AjaxUpload.py
 %%ADMIN%%%%DATADIR%%/admin/CTK/CTK/AjaxUpload.pyc
 %%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Box.py
@@ -298,23 +290,80 @@
 %%ADMIN%%%%DATADIR%%/admin/CTK/CTK/pyscgi.pyc
 %%ADMIN%%%%DATADIR%%/admin/CTK/CTK/util.py
 %%ADMIN%%%%DATADIR%%/admin/CTK/CTK/util.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/__init__.py
+%%ADMIN%%%%DATADIR%%/admin/market/Install.py
+%%ADMIN%%%%DATADIR%%/admin/market/InstallUtil.py
+%%ADMIN%%%%DATADIR%%/admin/market/Install_Log.py
+%%ADMIN%%%%DATADIR%%/admin/market/Menu.py
+%%ADMIN%%%%DATADIR%%/admin/market/Package.py
+%%ADMIN%%%%DATADIR%%/admin/market/PageApp.py
+%%ADMIN%%%%DATADIR%%/admin/market/PageCategory.py
+%%ADMIN%%%%DATADIR%%/admin/market/PageIndex.py
+%%ADMIN%%%%DATADIR%%/admin/market/PageSearch.py
+%%ADMIN%%%%DATADIR%%/admin/market/Review.py
+%%ADMIN%%%%DATADIR%%/admin/market/Library.py
+%%ADMIN%%%%DATADIR%%/admin/market/Util.py
+%%ADMIN%%%%DATADIR%%/admin/market/Maintenance.py
+%%ADMIN%%%%DATADIR%%/admin/market/ows_consts.py
+%%ADMIN%%%%DATADIR%%/admin/market/CommandProgress.py
+%%ADMIN%%%%DATADIR%%/admin/market/__init__.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/Install.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/InstallUtil.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/Install_Log.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/Menu.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/PageApp.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/PageCategory.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/PageIndex.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/PageSearch.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/Review.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/Library.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/Util.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/Maintenance.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/ows_consts.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/CommandProgress.pyc
+%%ADMIN%%%%DATADIR%%/admin/market/Package.pyc
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Init.py
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Paginator.py
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/StarRating.py
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Carousel.py
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Collapsible.py
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Init.pyc
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Paginator.pyc
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/StarRating.pyc
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Carousel.pyc
+%%ADMIN%%%%DATADIR%%/admin/CTK/CTK/Collapsible.pyc
+%%ADMIN%%%%DATADIR%%/admin/About.py
+%%ADMIN%%%%DATADIR%%/admin/OWS_Backup.py
+%%ADMIN%%%%DATADIR%%/admin/OWS_Cherokee_Info.py
+%%ADMIN%%%%DATADIR%%/admin/OWS_Login.py
+%%ADMIN%%%%DATADIR%%/admin/OWS_Market_Info.py
+%%ADMIN%%%%DATADIR%%/admin/SaveButton.py
+%%ADMIN%%%%DATADIR%%/admin/SystemInfo.py
+%%ADMIN%%%%DATADIR%%/admin/SystemStats.py
+%%ADMIN%%%%DATADIR%%/admin/SystemStatsWidgets.py
+%%ADMIN%%%%DATADIR%%/admin/popen.py
+%%ADMIN%%%%DATADIR%%/admin/About.pyc
+%%ADMIN%%%%DATADIR%%/admin/OWS_Backup.pyc
+%%ADMIN%%%%DATADIR%%/admin/OWS_Cherokee_Info.pyc
+%%ADMIN%%%%DATADIR%%/admin/OWS_Login.pyc
+%%ADMIN%%%%DATADIR%%/admin/OWS_Market_Info.pyc
+%%ADMIN%%%%DATADIR%%/admin/SaveButton.pyc
+%%ADMIN%%%%DATADIR%%/admin/SystemInfo.pyc
+%%ADMIN%%%%DATADIR%%/admin/SystemStats.pyc
+%%ADMIN%%%%DATADIR%%/admin/SystemStatsWidgets.pyc
+%%ADMIN%%%%DATADIR%%/admin/popen.pyc
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/css/CTK.css
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/css/datepicker.css
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/css/jquery-ui-1.7.2.custom.css
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/css/jquery.ibutton.css
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/arrow_ns.png
-%%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-body.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-dialog-buttonpane.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-dialog-titlebar-close.gif
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-dialog-titlebar.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-dialog.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-filter.png
-%%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-help-a.png
-%%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-help-span.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-sel-actions-sel.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-sel-actions.png
-%%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-td-even.png
-%%ADMIN%%%%DATADIR%%/admin/CTK/static/images/bg-th.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/del-hover.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/del.png
 %%ADMIN%%%%DATADIR%%/admin/CTK/static/images/dialog-error.png
@@ -511,6 +560,36 @@
 %%ADMIN%%%%DATADIR%%/admin/static/images/advanced.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/bg-bar.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/cherokee-logo-bar.png
+%%ADMIN%%%%DATADIR%%/admin/CTK/static/images/jquery.ui.stars.gif
+%%ADMIN%%%%DATADIR%%/admin/CTK/static/images/carousel-left-arrow.png
+%%ADMIN%%%%DATADIR%%/admin/CTK/static/images/carousel-right-arrow.png
+%%ADMIN%%%%DATADIR%%/admin/CTK/static/js/StarRating.js
+%%ADMIN%%%%DATADIR%%/admin/static/images/other/linkedin.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/other/irc.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/other/left.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/other/right.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/other/web.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/backup.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/bg-body.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/bg-help-a.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/bg-help-span.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/bg-th.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/bg-td-even.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/cpu.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/disk.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/featured-list-bg.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/featured-list-selected.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/host.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/information.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/market.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/network.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/panel-clone.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/panel-new.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/ram.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/remote.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/sidebar-bg.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/sidebar-market.png
+%%ADMIN%%%%DATADIR%%/admin/static/images/uptime.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/favicon.ico
 %%ADMIN%%%%DATADIR%%/admin/static/images/flags/ad.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/flags/ae.png
@@ -761,13 +840,10 @@
 %%ADMIN%%%%DATADIR%%/admin/static/images/general.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/home.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/icons.png
-%%ADMIN%%%%DATADIR%%/admin/static/images/kid-running.png
-%%ADMIN%%%%DATADIR%%/admin/static/images/kid-stopped.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/mime.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/nav-selected.gif
 %%ADMIN%%%%DATADIR%%/admin/static/images/nav-sep.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/other/contact-bug.png
-%%ADMIN%%%%DATADIR%%/admin/static/images/other/contact-irc.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/other/contact-list.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/other/facebook.png
 %%ADMIN%%%%DATADIR%%/admin/static/images/other/octality-logo.png
@@ -951,6 +1027,7 @@
 %%ADMIN%%@dirrm %%DATADIR%%/admin/static/css
 %%ADMIN%%@dirrm %%DATADIR%%/admin/static
 %%ADMIN%%@dirrm %%DATADIR%%/admin/plugins
+%%ADMIN%%@dirrm %%DATADIR%%/admin/market
 %%ADMIN%%@dirrm %%DATADIR%%/admin/CTK/static/js
 %%ADMIN%%@dirrm %%DATADIR%%/admin/CTK/static/images
 %%ADMIN%%@dirrm %%DATADIR%%/admin/CTK/static/css