diff -ruN ice.orig/Makefile ice/Makefile
--- ice.orig/Makefile	2011-06-19 09:00:53.000000000 +0200
+++ ice/Makefile	2011-06-18 23:04:18.000000000 +0200
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	Ice
-PORTVERSION=	3.4.1
+PORTVERSION=	3.4.2
 CATEGORIES=	devel
-MASTER_SITES=	http://www.zeroc.com/download/Ice/3.4/
+MASTER_SITES=	http://download.zeroc.com/Ice/3.4/
 
 MAINTAINER=	shoesoft@gmx.net
 COMMENT=	A modern alternative to object middleware such as CORBA/COM/DCOM/COM+
diff -ruN ice.orig/distinfo ice/distinfo
--- ice.orig/distinfo	2011-06-19 09:00:53.000000000 +0200
+++ ice/distinfo	2011-06-19 09:01:29.000000000 +0200
@@ -1,3 +1,2 @@
-MD5 (Ice-3.4.1.tar.gz) = 3aae42aa47dec74bb258c1a1b2847a1a
-SHA256 (Ice-3.4.1.tar.gz) = 83c76687ac2b1c16a7e51799668531ec794dc8bd81f0daec14765ad3c671b0e6
-SIZE (Ice-3.4.1.tar.gz) = 5263510
+SHA256 (Ice-3.4.2.tar.gz) = dcf0484495b6df0849ec90a00e8204fe5fe1c0d3882bb438bf2c1d062f15c979
+SIZE (Ice-3.4.2.tar.gz) = 5485106
diff -ruN ice.orig/files/patch-Exception.cpp ice/files/patch-Exception.cpp
--- ice.orig/files/patch-Exception.cpp	2011-06-19 09:00:53.000000000 +0200
+++ ice/files/patch-Exception.cpp	2011-06-18 23:04:18.000000000 +0200
@@ -1,38 +0,0 @@
---- cpp/src/IceUtil/Exception.cpp.orig	2010-02-25 16:55:42.000000000 +0100
-+++ cpp/src/IceUtil/Exception.cpp	2010-05-16 14:32:45.000000000 +0200
-@@ -14,7 +14,7 @@
- #include <ostream>
- #include <cstdlib>
- 
--#if defined(__GNUC__) && !defined(__sun)
-+#if defined(__GNUC__) && !defined(__sun) && !defined(__FreeBSD__)
- #  include <execinfo.h>
- #  include <cxxabi.h>
- #endif
-@@ -52,7 +52,7 @@
- 
- Init init;
- 
--#if defined(__GNUC__) && !defined(__sun)
-+#if defined(__GNUC__) && !defined(__sun) && !defined(__FreeBSD__)
- string
- getStackTrace()
- {
-@@ -183,7 +183,7 @@
- IceUtil::Exception::Exception() :
-     _file(0),
-     _line(0)
--#if defined(__GNUC__) && !defined(__sun)
-+#if defined(__GNUC__) && !defined(__sun) && !defined(__FreeBSD__)
-     , _stackTrace(getStackTrace())
- #endif
- {
-@@ -192,7 +192,7 @@
- IceUtil::Exception::Exception(const char* file, int line) :
-     _file(file),
-     _line(line)
--#if defined(__GNUC__) && !defined(__sun)
-+#if defined(__GNUC__) && !defined(__sun) && !defined(__FreeBSD__)
-     , _stackTrace(getStackTrace())
- #endif
- {
diff -ruN ice.orig/files/patch-IconvStringConverter.h ice/files/patch-IconvStringConverter.h
--- ice.orig/files/patch-IconvStringConverter.h	2011-06-19 09:00:53.000000000 +0200
+++ ice/files/patch-IconvStringConverter.h	2011-06-18 23:04:18.000000000 +0200
@@ -1,11 +0,0 @@
---- cpp/include/Ice/IconvStringConverter.h.orig	2008-05-22 19:27:55.000000000 +0200
-+++ cpp/include/Ice/IconvStringConverter.h	2008-05-22 19:28:22.000000000 +0200
-@@ -19,7 +19,7 @@
- #include <langinfo.h>
- #endif
- 
--#if (defined(__APPLE__) && _LIBICONV_VERSION < 0x010B) || (defined(__sun) && !defined(_XPG6))
-+#if (defined(__APPLE__) && _LIBICONV_VERSION < 0x010B) || (defined(__sun) && !defined(_XPG6)) || defined(__FreeBSD__)
-     //
-     // See http://sourceware.org/bugzilla/show_bug.cgi?id=2962
-     //
diff -ruN ice.orig/files/patch-Makefile ice/files/patch-Makefile
--- ice.orig/files/patch-Makefile	2011-06-19 09:00:53.000000000 +0200
+++ ice/files/patch-Makefile	2011-06-19 08:55:50.000000000 +0200
@@ -4,7 +4,7 @@
  include $(top_srcdir)/config/Make.rules
  
  SUBDIRS		= config src include test demo
-+ifneq ($(NOPORTDOCS),yes)
++ifeq ($(NOPORTDOCS),)
 +SUBDIRS		+= doc
 +endif
  
diff -ruN ice.orig/pkg-descr ice/pkg-descr
--- ice.orig/pkg-descr	2011-06-19 09:00:53.000000000 +0200
+++ ice/pkg-descr	2011-06-19 09:02:34.000000000 +0200
@@ -3,3 +3,5 @@
 provides a powerful network infrastructure for demanding technical applications.
 Ice shines where technologies such as SOAP or XML-RPC are too slow, or do not
 provide sufficient scalability or security.
+
+WWW: http://www.zeroc.com/
diff -ruN ice.orig/pkg-plist ice/pkg-plist
--- ice.orig/pkg-plist	2011-06-19 09:00:53.000000000 +0200
+++ ice/pkg-plist	2011-06-19 08:02:21.000000000 +0200
@@ -147,7 +147,6 @@
 include/IceGrid/IceGrid.h
 include/IceGrid/Locator.h
 include/IceGrid/Observer.h
-include/IceGrid/Perf.h
 include/IceGrid/Query.h
 include/IceGrid/Registry.h
 include/IceGrid/Session.h
@@ -212,49 +211,49 @@
 include/Slice/Util.h
 lib/ImportKey.class
 lib/libFreeze.so
-lib/libFreeze.so.3.4.1
+lib/libFreeze.so.3.4.2
 lib/libFreeze.so.34
 lib/libGlacier2.so
-lib/libGlacier2.so.3.4.1
+lib/libGlacier2.so.3.4.2
 lib/libGlacier2.so.34
 lib/libIce.so
-lib/libIce.so.3.4.1
+lib/libIce.so.3.4.2
 lib/libIce.so.34
 lib/libIceBox.so
-lib/libIceBox.so.3.4.1
+lib/libIceBox.so.3.4.2
 lib/libIceBox.so.34
 lib/libIceDB.so
-lib/libIceDB.so.3.4.1
+lib/libIceDB.so.3.4.2
 lib/libIceDB.so.34
 lib/libIceGrid.so
-lib/libIceGrid.so.3.4.1
+lib/libIceGrid.so.3.4.2
 lib/libIceGrid.so.34
 lib/libIceGridFreezeDB.so
-lib/libIceGridFreezeDB.so.3.4.1
+lib/libIceGridFreezeDB.so.3.4.2
 lib/libIceGridFreezeDB.so.34
 lib/libIcePatch2.so
-lib/libIcePatch2.so.3.4.1
+lib/libIcePatch2.so.3.4.2
 lib/libIcePatch2.so.34
 lib/libIceSSL.so
-lib/libIceSSL.so.3.4.1
+lib/libIceSSL.so.3.4.2
 lib/libIceSSL.so.34
 lib/libIceStorm.so
-lib/libIceStorm.so.3.4.1
+lib/libIceStorm.so.3.4.2
 lib/libIceStorm.so.34
 lib/libIceStormFreezeDB.so
-lib/libIceStormFreezeDB.so.3.4.1
+lib/libIceStormFreezeDB.so.3.4.2
 lib/libIceStormFreezeDB.so.34
 lib/libIceStormService.so
-lib/libIceStormService.so.3.4.1
+lib/libIceStormService.so.3.4.2
 lib/libIceStormService.so.34
 lib/libIceUtil.so
-lib/libIceUtil.so.3.4.1
+lib/libIceUtil.so.3.4.2
 lib/libIceUtil.so.34
 lib/libIceXML.so
-lib/libIceXML.so.3.4.1
+lib/libIceXML.so.3.4.2
 lib/libIceXML.so.34
 lib/libSlice.so
-lib/libSlice.so.3.4.1
+lib/libSlice.so.3.4.2
 lib/libSlice.so.34
 %%DATADIR%%/Freeze/BackgroundSaveEvictor.ice
 %%DATADIR%%/Freeze/CatalogData.ice
@@ -586,17 +585,17 @@
 %%PORTDOCS%%%%DOCSDIR%%/reference/images/warning.gif
 %%PORTDOCS%%%%DOCSDIR%%/reference/index.html
 %%PORTDOCS%%%%DOCSDIR%%/reference/symboltree.js
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/images
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/IceStorm
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/IceSSL
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/IcePatch2
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/IceGrid
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/IceBox
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/Ice
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/Glacier2
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference/Freeze
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/reference
-@dirrm %%PORTDOCS%%%%DOCSDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/images
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/IceStorm
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/IceSSL
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/IcePatch2
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/IceGrid
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/IceBox
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/Ice
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/Glacier2
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference/Freeze
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/reference
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm %%DATADIR%%/config
 @dirrm %%DATADIR%%/IceStorm
 @dirrm %%DATADIR%%/IceSSL