--- pkg-plist.orig      2011-10-18 15:39:10.000000000 +0200
+++ pkg-plist   2011-10-19 11:56:09.000000000 +0200
@@ -3,120 +3,120 @@
 bin/tilecache_install_config.py
 bin/tilecache_seed.py
 %%ETCDIR%%/tilecache.cfg.sample
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/PKG-INFO
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/SOURCES.txt
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/dependency_links.txt
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/entry_points.txt
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/not-zip-safe
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/scripts/tilecache_clean.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/scripts/tilecache_http_server.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/scripts/tilecache_install_config.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/scripts/tilecache_seed.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/top_level.txt
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Cache.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Cache.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Cache.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/AWSS3.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/AWSS3.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/AWSS3.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Disk.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Disk.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Disk.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/GoogleDisk.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/GoogleDisk.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/GoogleDisk.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/MBTiles.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/MBTiles.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/MBTiles.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Memcached.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Memcached.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Memcached.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/S3.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/S3.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/S3.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Test.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Test.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/Test.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/__init__.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/__init__.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches/__init__.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Client.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Client.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Client.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layer.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layer.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layer.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/ArcXML.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/ArcXML.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/ArcXML.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/GDAL.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/GDAL.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/GDAL.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/Image.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/Image.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/Image.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/MapServer.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/MapServer.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/MapServer.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/Mapnik.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/Mapnik.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/Mapnik.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/WMS.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/WMS.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/WMS.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/__init__.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/__init__.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers/__init__.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Service.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Service.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Service.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/JSON.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/JSON.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/JSON.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/KML.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/KML.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/KML.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/MGMaps.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/MGMaps.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/MGMaps.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/TMS.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/TMS.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/TMS.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/TileService.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/TileService.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/TileService.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/VETMS.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/VETMS.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/VETMS.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WMS.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WMS.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WMS.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WMTS.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WMTS.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WMTS.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WorldWind.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WorldWind.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/WorldWind.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/__init__.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/__init__.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services/__init__.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Swarm.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Swarm.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Swarm.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/__init__.py
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/__init__.pyc
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/__init__.pyo
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/tilecache.cfg
-%%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/dev.ini
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/tilecache_clean.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/tilecache_http_server.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/tilecache_install_config.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/tilecache_seed.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Cache.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Cache.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Cache.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/AWSS3.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/AWSS3.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/AWSS3.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Disk.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Disk.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Disk.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/GoogleDisk.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/GoogleDisk.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/GoogleDisk.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/MBTiles.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/MBTiles.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/MBTiles.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Memcached.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Memcached.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Memcached.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/S3.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/S3.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/S3.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Test.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Test.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/Test.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Client.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Client.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Client.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layer.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layer.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layer.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/ArcXML.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/ArcXML.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/ArcXML.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/GDAL.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/GDAL.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/GDAL.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/Image.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/Image.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/Image.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/MapServer.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/MapServer.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/MapServer.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/Mapnik.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/Mapnik.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/Mapnik.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/WMS.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/WMS.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/WMS.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Service.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Service.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Service.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/JSON.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/JSON.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/JSON.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/KML.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/KML.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/KML.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/MGMaps.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/MGMaps.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/MGMaps.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/TMS.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/TMS.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/TMS.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/TileService.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/TileService.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/TileService.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/VETMS.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/VETMS.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/VETMS.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WMS.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WMS.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WMS.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WMTS.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WMTS.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WMTS.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WorldWind.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WorldWind.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/WorldWind.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Swarm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Swarm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Swarm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/tilecache.cfg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/dev.ini
 www/cgi-bin/tilecache.cgi
 www/cgi-bin/tilecache.fcgi
-@dirrm %%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Services
-@dirrm %%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Layers
-@dirrm %%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache/Caches
-@dirrm %%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/TileCache
-@dirrm %%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO/scripts
-@dirrm %%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg/EGG-INFO
-@dirrm %%PYTHON_SITELIBDIR%%/TileCache-2.11-py2.7.egg
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Services
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Layers
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache/Caches
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/TileCache
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
 @dirrmtry %%PYTHON_SITELIBDIR%%
-@dirrm %%ETCDIR%%
+@dirrmtry %%ETCDIR%%
 @dirrmtry www/cgi-bin